source: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh@ 21171

Last change on this file since 21171 was 21171, checked in by davidb, 13 years ago

No longer have 'installed' at the top-level

File size: 1.1 KB
Line 
1#!/bin/bash
2
3package=faad2
4version=-2.6.1
5
6progname=$0
7
8source ../../cascade-make/bin/script/test-setup.bash
9source ../../cascade-make/lib/cascade-lib.bash
10
11prefix=$GEXTVIDEO_INSTALLED
12
13
14opt_run_untar $force_untar $auto_untar $package $version
15if [ -d $package ] ; then
16 echo "Moving $package -> $package$version"
17 /bin/mv $package $package$version
18fi
19
20
21# Need own customized configure
22if [ $force_config = "1" ] ; then
23 echo "[pushd $package$version]"
24 ( cd $package$version ; \
25 autoreconf -vif
26 echo ./configure --prefix=$prefix ; \
27 ./configure --prefix=$prefix )
28 if [ $? != 0 ] ; then
29 echo " Error encountered running *configure* stage of $progname"
30 exit 1
31 fi
32 echo "[popd]"
33else
34 if [ $auto_config = "1" ] ; then
35 echo "Found top-level for ${progname%.*} => no need to run ./configure"
36 fi
37fi
38
39opt_run_make $compile $package $version
40opt_run_make $install $package $version "install"
41opt_run_make $clean $package $version "clean"
42opt_run_make $distclean $package $version "distclean"
43
44opt_run_tarclean $tarclean $package $version
45
46
47
Note: See TracBrowser for help on using the repository browser.